/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import client.Kompanija;
import product.Softver;
import concreteHandler.TimZaAnalizu;
import concreteHandler.TimZaImplementaciju;
import concreteHandler.TimZaPrikupljanjeZahteva;
import concreteHandler.TimZaProjektovanje;
import handler.Tim;

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        Tim timZaPrikupljanjeZahteva = new TimZaPrikupljanjeZahteva(null);
        Tim timZaAnalizu = new TimZaAnalizu(timZaPrikupljanjeZahteva);
        Tim timZaProjektovanje = new TimZaProjektovanje(timZaAnalizu);
        Tim timZaImplementaciju = new TimZaImplementaciju(timZaProjektovanje);
        
        Kompanija kompanija = new Kompanija(timZaImplementaciju);
        
        kompanija.projektujSoftver();
        
        Softver softver = kompanija.isporuciSoftver();
        
        System.out.println(softver);
        
    }
    
}
