/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package concreteMediator;

import concreteColleague.Profesor;
import concreteColleague.Student;
import java.util.List;
import mediator.Mediator;

/**
 *
 * @author student1
 */
public class Asistent implements Mediator {

    private Profesor profesor;
    private List<Student> studenti;

    public Asistent(Profesor profesor, List<Student> studenti) {
        this.profesor = profesor;
        this.studenti = studenti;

        this.profesor.setAsistent(this);
        for (Student formaStudent : this.studenti) {
            formaStudent.setAsistent(this);
        }
    }

    @Override
    public void posaljiPorukuProfesoru(String poruka) {
        profesor.prihvatiPoruku(poruka);
    }

    @Override
    public void posaljiPorukuOdStudentaStudentima(Student posiljalac, String porukaZaStudente) {
        for (Student formaStudent : studenti) {
            if (formaStudent != posiljalac) {
                formaStudent.prihvatiPorukuOdStudenta(porukaZaStudente);
            }
        }
    }

    @Override
    public void posaljiPorukuOdProfesoraStudentima(String porukaZaStudente) {
        for (Student formaStudent : studenti) {
            formaStudent.prihvatiPorukuOdProfesora(porukaZaStudente);
        }
    }

    @Override
    public void zapocniKonverzaciju() {
        profesor.setVisible(true);
        for (Student formaStudent : studenti) {
            formaStudent.setVisible(true);
        }
    }

}
