/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package subject;

import java.util.ArrayList;
import java.util.List;
import javax.swing.JDialog;
import observer.Kupac;

/**
 *
 * @author Luka
 */
public abstract class Subject extends JDialog {

    private List<Kupac> kupci;

    public Subject(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        kupci = new ArrayList<>();
    }

    public void prijaviSe(Kupac kupac) throws Exception {
        if (!kupci.contains(kupac)) {
            kupci.add(kupac);
        } else {
            throw new Exception("Kupac je vec prijavljen.");
        }
    }

    public void odjaviSe(Kupac kupac) throws Exception {
        if (kupci.contains(kupac)) {
            kupci.remove(kupac);
        } else {
            throw new Exception("Kupac nije prijavljen.");
        }
    }

    public void obavestiKupce() {
        String stanje = vratiStanje();
        for (Kupac kupac : kupci) {
            kupac.obavesti(stanje);
        }
    }
    
    protected abstract String vratiStanje();

}
