/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package context;

import strategy.StrategijaZaNapad;
import strategy.StrategijaZaOdbranu;

/**
 *
 * @author Luka
 */
public abstract class KosarkaskiTim {
    
    protected String naziv;
    protected String trener;
    protected String[] prvaPetorka = new String[5];
    protected StrategijaZaNapad strategijaZaNapad;
    protected StrategijaZaOdbranu strategijaZaOdbranu;

    public KosarkaskiTim(StrategijaZaNapad strategijaZaNapad, StrategijaZaOdbranu strategijaZaOdbranu) {
        this.strategijaZaNapad = strategijaZaNapad;
        this.strategijaZaOdbranu = strategijaZaOdbranu;
    }
    
    public void prikaziTim() {
        System.out.println(naziv + " (Trener - " + trener + ")");
        System.out.println("Prva petorka:");
        for (int i = 0; i < 5; i++) {
            System.out.print(prvaPetorka[i] + (i == 4 ? "" : ", "));
        }
        System.out.println();
    }
    
    public void postaviNapad() {
        System.out.print("Strategija za napad: ");
        strategijaZaNapad.napadni();
    }
    
    public void postaviOdbranu() {
        System.out.print("Strategija za odbranu: ");
        strategijaZaOdbranu.brani();
    }
    
}
