/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package concreteIterator;

import concreteAggregate.Lista;
import iterator.Iterator;

/**
 *
 * @author Luka
 */
public class IteratorLista implements Iterator {

    private Lista lista;
    private int indeks;
    
    public IteratorLista(Lista lista) {
        this.lista = lista;
        indeks = 0;
    }
    
    @Override
    public boolean jeKraj() {
        return indeks == lista.vratiDuzinu();
    }

    @Override
    public int vratiTrenutniElement() {
        return lista.vratiElement(indeks);
    }

    @Override
    public void predjiNaSledeciElement() {
        indeks++;
    }
    
}
