/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package start;

import concreteStrategy.Flaster;
import concreteStrategy.Izolacija;
import concreteStrategy.Rogovi;
import concreteStrategy.Zona;
import context.GoldenStateWarriors;
import context.KosarkaskiTim;
import context.LosAngelesLakers;

/**
 *
 * @author Luka
 */
public class Start {
    
    public static void main(String[] args) {
        
        Rogovi rogovi = new Rogovi();
        Izolacija izolacija = new Izolacija();
        
        Flaster flaster = new Flaster();
        Zona zona = new Zona();
        
        KosarkaskiTim lakers = new LosAngelesLakers();
        KosarkaskiTim warriors = new GoldenStateWarriors();
        
        lakers.prikaziTim();
        lakers.postaviNapad();
        lakers.postaviOdbranu();
        
        System.out.println("----------------------------------------------------------------------------");
        
        warriors.prikaziTim();
        warriors.postaviNapad();
        warriors.postaviOdbranu();
        
    }
    
}
